#pragma rtGlobals=1		// Use modern global access method.
	
	
	Function CSF_2_CCSF()
		SetDataFolder root:
			String/G G_Hole
			Variable i = 0, V_Core_Num
			String SCore, Size = "S2", Hole = G_Hole, Site
			Prompt Hole, "Hole:"
			Prompt Size, "Size"
			DoPrompt "CSF_2_CCSF", Hole, Size; AbortOnValue V_Flag, 0;
			G_Hole = Hole
			CSF_2_CCSF_F( Hole, Size )
			Print "CSF_2_CCSF_F( \"" + Hole + "\", \"" + Size + "\" )"
	End
	
	Function CSF_2_CCSF_F( Hole, Size )
		String Hole, Size
		SetDataFolder root:
			Variable i = 0, V_Core_Num
			String SCore, Site
			PauseUpdate;
			Site = RemoveEnding( Hole )
			WAVE Matrix = $Hole + "_Coring_Matrix"
		SetDataFolder $"root:" + Hole + "_" + Size
				String ImageList = WaveList( Size + "*", ";", "DIMS:3" )
				Do
					SCore = StringFromList( i, ImageList ) 
					WAVE Core = $SCore
					V_Core_Num = Str2Num( DataWaveData( SCore ) )
					SetScale/P x ( Matrix[ V_Core_Num ][ 1 ][ 2 ] ), ( DimDelta( Core, 0 ) ), "m", Core
					i += 1
				While( i < ItemsInList( ImageList ) )
		SetDataFolder root:
	End
	
	-------------------------------------------------------------------------
	
	Function CCSF_2_CSF( )
		SetDataFolder root:
			String/G G_Hole
			Variable i = 0, V_Core_Num
			String SCore, Size = "S2", Hole = G_Hole, Site
			Prompt Hole, "Hole:"
			Prompt Size, "Size"
			DoPrompt "CSF_2_CCSF", Hole, Size; AbortOnValue V_Flag, 0;
			G_Hole = Hole
			CCSF_2_CSF_F( Hole, Size )
			Print "CCSF_2_CSF_F( \"" + Hole + "\", \"" + Size + "\" )"
		End

	Function CCSF_2_CSF_F( Hole, Size )
		String Hole, Size
		SetDataFolder root:
			Variable i = 0, V_Core_Num
			String SCore, Site
			Site = RemoveEnding( Hole )
			WAVE Matrix = $Hole + "_Coring_Matrix"
		SetDataFolder $"root:" + Hole + "_" + Size
				String ImageList = WaveList( Size + "*", ";", "DIMS:3" )
				Do
					SCore = StringFromList( i, ImageList ) 
					WAVE Core = $SCore
					V_Core_Num = Str2Num( DataWaveData( SCore ) )
					SetScale/P x ( Matrix[ V_Core_Num ][ 1 ][ 0 ] ), ( DimDelta( Core, 0 ) ), "m", Core
					i += 1
				While( i < ItemsInList( ImageList ) )
		SetDataFolder root:
	End

----------------------------------------------------------------------------------------------------
