#pragma rtGlobals=1		// Use modern global access method.
	
	// This function changes the bottom (X) axis for all open windows in an experiment to the same range
	
	Function Change_Depth_Range()
		SetDataFolder root:
			Variable/G G_V_Top, G_V_Bottom, G_Range_Incr
			String/G G_TorB 
			Variable V_Top = G_V_Top + G_Range_Incr
			Variable V_Bottom = G_V_Bottom + G_Range_Incr, i = 0, Range_Incr = G_Range_Incr
			String TorB = G_TorB
			Prompt TorB, "Top or Bottom axes:", popup, "Bottom;Top"
			Prompt V_Top, "Top Depth of Range:"
			Prompt V_Bottom, "Bottom Depth of Range:"
			Prompt Range_Incr, "Amount to shift range with next call to this function:"
			DoPrompt "Change_Depth_Range", TorB, V_Top, V_Bottom, Range_Incr; AbortOnValue V_Flag, 0
			String S1 = WinList("*",";","WIN:1"), S2
			G_Range_Incr = Range_Incr; G_V_Top = V_Top; G_V_Bottom = V_Bottom; G_TorB = TorB
			Do
				S2 = StringFromList( i, S1 )
				SetAxis/Z/W = $S2 $TorB  V_Top, V_Bottom
				i += 1;
			While( StrLen( S2 ) )
	End

	
	Function Change_Depth_Range_F( TorB, V_Top, V_Bottom, Range_Incr )
		Variable V_Top, V_Bottom, Range_Incr
		String TorB
		SetDataFolder root:
			String S1 = WinList("*",";","WIN:1"), S2
			Variable i = 0
			Do
				S2 = StringFromList( i, S1 )
				SetAxis/Z/W = $S2 $TorB  V_Top, V_Bottom
				i += 1;
			While( StrLen( S2 ) )
	End

