#pragma rtGlobals=3		// Use modern global access method and strict wave access.

Macro Compare_Wave_Values(Compare_Depths,Compare_Data,Data_Depth,Data,Interpolated_Data,Data_Diff)
	String Compare_Depths,Compare_Data, Data_Depth, Data,Interpolated_Data,Data_Diff
	Prompt Compare_Depths, "Depths to Compare", popup, WaveList("*",";","")  // These are the sample depths when comparing to NMS data
	Prompt Compare_Data, "Data to Compare", popup, WaveList("*",";","")  // These are the sample data
	Prompt Data_Depth, "Data_Depth", popup, WaveList("*",";","")  //  These are the NMS(XRF) Depths
	Prompt Data, "Data", popup, WaveList("*",";","")					// These are the NMS Data
	Prompt Interpolated_Data, "Name of Data Output Wave"		// You can specify the output depth wave name
	Prompt Data_Diff, "Name of Difference wave"				// You can specify the difference between the sample and NMS data
	Silent 1
	PauseUpdate
	Duplicate/O $Compare_Depths   $Interpolated_Data, $Data_Diff  // This creates the output waves for the comparison data and difference
	$Interpolated_Data=interp($Compare_Depths,$Data_Depth,$Data)  // This step interpolates the NMS data at the sample depths
	$Data_Diff=$Interpolated_Data-$Compare_Data					// This calculates the difference between the samplle and NMS data
	Make/N=31/O $Data_Diff+"_Hist";DelayUpdate						// This line creates a Histogram wave of length 31
	Histogram/B={-30,2,30} $Data_Diff,$Data_Diff+"_Hist";DelayUpdate // This creates the histogram data (-30 to +30 in increments of 2)
	Display $Data_Diff+"_Hist"											// Histogram data are displayed and
	ModifyGraph mode=5,hbFill=4,useNegPat=1,hBarNegFill=4				// the display is changed to Bars
End	