#pragma rtGlobals=1		// Use modern global access method.
		
	
	Function Line_Profiles()
		String S_Image, Image_Name;
		Variable Width=.25, Colon;
		DoAlert 1, "Did You Select the Core Image in the Data Browser?"
		If(V_Flag==2)
			Abort("Select Core Images and Run Again.")
		EndIf
		Prompt Width, "Width (proportion of total width, 0 to 0.99):"
		DoPrompt "Line_Profiles", Width; AbortOnValue V_Flag, 0
		S_Image=GetBrowserSelection(0)
		Colon = StrSearch(S_Image,":",inf,1)
		Image_Name=S_Image[Colon+1,inf]
		print Image_Name
		Variable/G X_Left=(DimOffset($S_Image,0));
		Variable/G X_Right=(DimOffset($S_Image,0)+DimDelta($S_Image,0)*(DimSize($S_Image,0)-1))
		Variable Y_Top=DimOffset($S_Image,1)+DimDelta($S_Image,1)*DimSize($S_Image,1)/2
		Variable Y_Bottom=Y_Top;
		Silent 1;
		Width*=DimSize($S_Image,1)
		PauseUpdate;
		Make/o/n=2 Xpoints={X_Left,X_Right}, Ypoints={Y_Top,Y_Bottom};
		ImageLineProfile xwave=xpoints, ywave=ypoints, srcwave=$S_Image, width=Width;
		WAVE M_ImageLineProfile
		Make/o/n=(dimsize(M_ImageLineProfile,0)) $Image_Name+"_R", $Image_Name+"_G", $Image_Name+"_B";
		Wave Image_R= $Image_Name+"_R", Image_G= $Image_Name+"_G", Image_B= $Image_Name+"_B"
		Image_R = M_ImageLineProfile[p][0];
		Image_G = M_ImageLineProfile[p][1];
		Image_B = M_ImageLineProfile[p][2];
		SetScale/P x (DimOffset($S_Image,0)),DimDelta($S_Image,0),"", Image_R, Image_G, Image_B;
		Imagetransform RGB2HSL $S_Image;
		ImageLineProfile xwave=xpoints, ywave=ypoints, srcwave=M_RGB2HSL, width=Width;
		Make/o/n=(dimsize(M_ImageLineProfile,0)) $Image_Name+"_H", $Image_Name+"_S", $Image_Name+"_L";
		Wave Image_H= $Image_Name+"_H", Image_S= $Image_Name+"_S", Image_L= $Image_Name+"_L"
		Image_H = M_ImageLineProfile[p][0];
		Image_S = M_ImageLineProfile[p][1];
		Image_L = M_ImageLineProfile[p][2];
		SetScale/P x (DimOffset($S_Image,0)),DimDelta($S_Image,0),"", Image_H, Image_S, Image_L;
		Killwaves M_ImageLineProfile, W_LineProfileX,W_LineProfileY, M_RGB2HSL, Xpoints, Ypoints;
	EndMacro
	
----------------------------------------------------------------------
