
	Menu "Macros"
		"Record_Disturbance/F1"
	End

// This macro records the core number and top (cursor A) and bottom (cursor B) depths of
//		distrurbed intervals identified on a core image. If the waves needed to hold the values
//		do not exist they are ceated in root.

	Function Record_Disturbance()
		SVAR G_Hole
		String Hole = G_Hole
		Prompt Hole, "Hole"
		DoPrompt "Record_Disturbance", Hole
		G_Hole = Hole
		If( !Exists( Hole + "_Disturb_T" ) )
			Make/N = 0 $Hole + "_Disturb_T", $Hole + "_Disturb_B", $Hole + "_CoreNum"
		EndIf
		Wave Top = $Hole + "_Disturb_T", Bottom = $Hole + "_Disturb_B", Num = $Hole + "_CoreNum"
		Redimension/N = ( NumPnts( Top ) + 1 ) Top, Bottom, Num
		Top[ ( NumPnts( Top ) ) ] = XCsr( A )
		Bottom[ ( NumPnts( Top ) ) ] = XCsr( B )
		Num[ ( NumPnts( Top ) ) ] = Str2Num( CsrWave( A ) [ StrLen(  CsrWave( A ) ) - 2, StrLen(  CsrWave( A ) ) ] )
	End
	