#pragma rtGlobals=1		// Use modern global access method.

	---------------------------------------------------------------------------
	
	Macro Shift_Offsets_Data(Site,Move_Hole,Fix_Hole)
		Variable Increment,v1,v2,V_Fix_Core,V_Move_Core,V_Fix_Depth,V_Move_Depth
		String Site=G_Site,Fix_Hole,Move_Hole,S_Fix_Hole,S_Move_Hole,S_Data
		Silent 1
		PauseUpdate
		G_Site=Site
		v1=strsearch(csrwave(b),"_",0)
		S_Fix_Hole= CsrWave($Fix_Hole)[0,(v1-1)]
		S_Move_Hole= CsrWave($Move_Hole)[0,(v1-1)]
		S_Data= CsrWave($Fix_Hole)[(v1+1),(StrLen(CsrWave($Fix_Hole)))]
		V_Fix_Depth=HCsr($Fix_Hole)
		V_Move_Depth=HCsr($Move_Hole)
		V_Fix_Core=root:$(Site+"_"+S_Data):$(S_Fix_Hole+"_"+S_Data+"_Core")[pcsr($Fix_Hole)]
		V_Move_Core=root:$(Site+"_"+S_Data):$(S_Move_Hole+"_"+S_Data+"_Core")[pcsr($Move_Hole)]
		print  "Fix:  ",S_Fix_Hole+"_"+S_Data, "  Core ",root:$(Site+"_"+S_Data):$(S_Fix_Hole+"_"+S_Data+"_Core")[pcsr($Fix_Hole)], V_Fix_Depth
		print  "Move:  ",S_Move_Hole+"_"+S_Data, "  Core ",root:$(Site+"_"+S_Data):$(S_Move_Hole+"_"+S_Data+"_Core")[pcsr($Move_Hole)],V_Move_Depth
		Increment=V_Fix_Depth-V_Move_Depth
		print "Increment: ",increment
		$Site+Move_Hole+"_Offsets"[V_Move_Core,]+=Increment
		$Site+Fix_Hole+"_Offsets"[V_Fix_Core+1,]+=Increment
		If(Exists(Site+"A_offsets"))
		DeltaA=$Site+"A_offsets"-$Site+"A_offsets1"
		EndIf
		If(Exists(Site+"B_offsets"))
		DeltaB=$Site+"B_offsets"-$Site+"B_offsets1"
		EndIf
		If(Exists(Site+"C_offsets"))
		DeltaC=$Site+"C_offsets"-$Site+"C_offsets1"
		EndIf
		If(Exists(Site+"D_offsets"))
		DeltaD=$Site+"D_offsets"-$Site+"D_offsets1"
		EndIf
	EndMacro
	
	---------------------------------------------------------------------------
	
	Shifts offsets by the specified increment for all core images from the cursor and deeper. Needs to be cmbined with Add_Offsets() and CSF_2_CCSF()
	
	Macro Shift_Offsets_Images(Increment)
		Variable Increment, V1=StrLen(G_Site)+4
		Make/O/N=100 DeltaA,DeltaB,DeltaC,DeltaD
		Silent 1
		PauseUpdate
		If(StrLen(Csrwave(a)))
			$(CsrWave(A)[3,V1]+"Offsets")[Str2Num(CsrWave(A)[10,11]),]+=Increment
			DeltaA=$(CsrWave(A)[3,V1]+"Offsets")-$(CsrWave(A)[3,V1]+"Offsets1")
		EndIf
		If(StrLen(Csrwave(b)))
			$(CsrWave(B)[3,9]+"Offsets")[Str2Num(CsrWave(B)[10,11]),]+=Increment
			DeltaB=$(CsrWave(B)[3,9]+"Offsets")-$(CsrWave(B)[3,9]+"Offsets1")
		EndIf
		If(StrLen(Csrwave(c)))
			$(CsrWave(C)[3,9]+"Offsets")[Str2Num(CsrWave(C)[10,11]),]+=Increment
			DeltaC=$CsrWave(C)[3,9]+"Offsets"-$CsrWave(C)[3,9]+"Offsets1"
		EndIf
		If(StrLen(Csrwave(d)))
			$(CsrWave(D)[3,9]+"Offsets")[Str2Num(CsrWave(D)[10,11]),]+=Increment
			DeltaD=$CsrWave(D)[3,9]+"Offsets"-$CsrWave(D)[3,9]+"Offsets1"
		EndIf
	EndMacro
	
	




