﻿#pragma TextEncoding = "UTF-8"		// For details execute DisplayHelpTopic "The TextEncoding Pragma"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// This function calculates the difference between tie points between 2 different sites and also the amount of
// stretching or shrinking between successive tie points. 
// They should be displayed versus calculated X, which are the tie points.
	
	Function Site_2_Site_TieDeltaStr()
		SetDataFolder root:
		Variable i
		WAVE BaseTies, StretchTies
		Duplicate/O BaseTies DeltaTies, TieStr, BaseTemp, StrTemp
		StrTemp = StretchTies
		DeltaTies = ( StretchTies - BaseTies )
		InsertPoints 0, 1, StrTemp, BaseTemp
		For( i = 0; i < ( NumPnts( BaseTies ) - 1 ); i += 1 )
			TieStr[ i + 1 ] = ( ( StrTemp[ i ] - StretchTies[ i + 1  ] ) / ( BaseTemp[ i ] - BaseTies[ i + 1 ] )  )
		EndFor
		TieStr[ 0 ] = NaN
		KillWaves/Z StrTemp, BaseTemp
	End
		
	
