﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	Function SuperRound(number,digits)					 // round values to selectable number of digits
		Variable number, digits
	 
		String StrNumber
		Variable Multiplier, i							 // multiplier decides how much the decimal spot is "shifted" for rounding
		if (number < 1)								 // separate numbers whether they are < or > 1
			sprintf StrNumber, "%.10f", number			 // express the number as text to work with it
			for (i = 2; i < Strlen(StrNumber); i += 1)
				if(StringMatch(StrNumber[i],"0") == 0)		 // find the first non-zero number
					Multiplier = 10^(2 - i - digits)
					break
				endif
			endfor
		else
			sprintf StrNumber, "%d", number				 // express the number as text to count the digits
			Multiplier = 10^(strlen(StrNumber) - digits)
		endif
		if (Multiplier < 1)							 // countermeasure for rounding errors when dividing by small numbers
			Multiplier = 1/Multiplier
			number = round(number*Multiplier)/Multiplier	
		else
			number = round(number/Multiplier)*Multiplier
		endif
		return number
	End