#pragma rtGlobals=3		// Use modern global access method and strict wave access.


Macro Tag_Points(Tag_Name,Point_Values, Point_Tags, Font_Size)
	String Tag_Name = root:G_S1,Point_Values =root:G_S2, Point_Tags =root:G_S3, S1, S2, S3
	String Font_Size = root:G_S4
	Prompt Tag_Name, "Unique Name for Tags (e.g. Rad, Chron, Foram, etc:"
	Prompt Point_Tags, "Point Tags:", popup, WaveList("*",";","")
	Prompt Point_Values, "Point Values:", popup, WaveList("*",";","")
	Prompt Font_Size, "Font_Size"
	Variable i=0
	PauseUpdate
	Silent 1
	root:G_S1 = Tag_Name; root:G_S2 = Point_Values; root:G_S3 = Point_Tags; root:G_S4 = Font_Size
	Do
		If( NumType($Point_Values[i]) == 0 )
			S1 = "Tag/C/N="+Tag_Name+ Num2Str(i)+"/X=0.00/Y=0.00/L=0/F=0 "
			S2 = Point_Values+", "+Num2Str(i)
			S3 = ",\"\\Z"+Font_Size+$Point_Tags[i]+"\""
			EXECUTE S1+s2+s3
		EndIf
		i+=1
	While( i < NumPnts($Point_Values) )
EndMacro

****************************************************************

Macro Remove_Point_Tags(Tag_Name)
	String Tag_Name
	Prompt Tag_Name, "Unique Name for Tags (e.g. Rad, Chron, Foram, etc):"
	Variable i=0;
	Silent 1
	PauseUpdate
	Do
		Execute "Tag/K/N="+Tag_Name+Num2Str(i)
		i+=1;
	While(i<2000)
End
