#pragma rtGlobals=1		// Use modern global access method.

// Brings original section images to root: and runs the core image assembly macro.

//Function Apply_Lighting_Correction( Folder )
	String Folder
	String S_Hole, S_Core
	Variable V1, V2, V3
	SetDataFolder root:
	PauseUpdate;
	If( !( Exists( "B_fit" ) ) )
		Abort "Missing Correction Curves"
	EndIf	
	V1 = StrSearch( Folder, "_", 0 )
	V2 = StrSearch( Folder, "_", V1 + 1 )
	S_Hole = Folder[ ( V1 + 1 ), ( V2 - 1 ) ]
	S_Core = Folder[ ( V2 + 1 ), ( V2 + 2 ) ]
	GetFromDataFolder( Folder )
	V3 = Str2Num( S_Core )
	S_Core = Num2Str( V3 )
	EXECUTE "Assemble_Core_Image( \"" + S_Hole + "\", \"" + S_Core + "\", \"Y\", \"Y\")"
//	Assemble_Core_Image( S_Hole, S_Core, "Y", "Y" )
EndMacro

**********************************************

//Macro Apply_Lighting_Correction( Folder )
	String Folder = root:G_Folder, S_Hole, S_Core
	Variable V1, V2, V3
	Silent 1
	SetDataFolder root:
	PauseUpdate;
	If( !( Exists( "B_fit" ) ) )
		Abort "Missing Correction Curves"
	EndIf	
	root:G_Folder = Folder
	V1 = StrSearch( Folder, "_", 0 )
	V2 = StrSearch( Folder, "_", V1 + 1 )
	S_Hole = Folder[ ( V1 + 1 ), ( V2 - 1 ) ]
	S_Core = Folder[ ( V2 + 1 ), ( V2 + 2 ) ]
	GetFromDataFolder( Folder )
	V3 = Str2Num( S_Core )
	S_Core = Num2Str( V3 )
	Assemble_Core_Image( S_Hole, S_Core, "Y", "Y" )
EndMacro

