#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	Function/S DataWaveSite( WName )
		String WName
		String/G G_Site
		String Site
		Variable FirstU = StrSearch( WName, "_", 0, 2 )						
		If( StrSearch( WName, "Splice", 0 ) + 1 )
			Site = WName[ 0, FirstU - 1 ]
		Else
			Site = WName[ 0, FirstU - 2 ]
		EndIf
		Return Site
	End

--------------------------------------------------	
	
	Function/S DataWaveHole( WName )
		String WName
		Variable FirstU, SecondU
		String S_Hole
		FirstU = StrSearch( WName, "_", 0 )						
		SecondU = StrSearch( WName, "_", FirstU + 1 )			
		If( StrSearch( WName, "Splice", 0, 2 ) + 1 )
			Abort "This function does not work for Spliced data waves"
		Else
			S_Hole = WName[ 0, FirstU - 1 ]
		EndIf	
		Return S_Hole
	End
	
----------------------------------------------------
	
	Function/S DataWaveTechnique( WName )
		String WName
		Variable FirstU, SecondU, ThirdU
		String S_Technique
		FirstU = StrSearch( WName, "_", 0 )						
		SecondU = StrSearch( WName, "_" , FirstU + 1 )			
		ThirdU = StrSearch( WName, "_", SecondU + 1 )			
		If( StrSearch( WName, "Splice", 0, 2 ) + 1 )
			S_Technique = WName[ SecondU + 1, ThirdU - 1 ]	
		Else
			S_Technique = WName[ FirstU + 1, SecondU - 1 ]	
		EndIf
		Return S_Technique
	End
	
----------------------------------------------------
	
	Function/S DataWaveData( WName )
		String WName
		Variable FirstU, SecondU, ThirdU
		String S_Data
		FirstU = StrSearch( WName ,"_" ,0 )						
		SecondU = StrSearch( WName, "_", FirstU + 1 )			
		ThirdU = StrSearch( WName, "_", SecondU + 1 )			
		If( StrSearch( WName, "Splice", 0, 2 ) + 1 )
			S_Data = WName[ ThirdU+1, Inf ]	
		Else
			S_Data = WName[ SecondU + 1, Inf ]	
		EndIf
		Return S_Data
	End
	
----------------------------------------------------
	
	Function/S ImageHole( WName )
		String WName
		String Hole
		Variable FirstU, SecondU, ThirdU
		FirstU = StrSearch( WName ,"_" ,0 )						
		SecondU = StrSearch( WName, "_", FirstU + 1 )			
		Hole = WName[ FirstU + 1, SecondU - 1 ]
		Return Hole
	End
	
----------------------------------------------------
	
	Function ImageCore( WName )
		String WName
		Variable Core
		Variable FirstU, SecondU, ThirdU
		FirstU = StrSearch( WName ,"_" ,0 )						
		SecondU = StrSearch( WName, "_", FirstU + 1 )			
		Core = Str2Num( WName[ SecondU + 1, inf ] )
		Return Core
	End
		
----------------------------------------------------
	
	Function/S FirstPart( WName )
		String WName
		String S_Out
		Variable FirstU, SecondU, ThirdU
		FirstU = StrSearch( WName ,"_" ,0 )						
		S_Out = WName[ 0, FirstU - 1 ]
		Return S_Out
	End
	
----------------------------------------------------
	
	Function/S SecondPart( WName )
		String WName
		String S_Out
		Variable FirstU, SecondU, ThirdU
		FirstU = StrSearch( WName ,"_" ,0 )						
		SecondU = StrSearch( WName, "_", FirstU + 1 )			
		S_Out = WName[ FirstU + 1, SecondU - 1 ]
		Return S_Out
	End
	
----------------------------------------------------
	
	Function/S ThirdPart( WName )
		String WName
		Variable FirstU, SecondU, ThirdU
		String S_Out
		FirstU = StrSearch( WName ,"_" ,0 )						
		SecondU = StrSearch( WName, "_", FirstU + 1 )			
		ThirdU = StrSearch( WName, "_", SecondU + 1 )			
		S_Out = WName[ SecondU + 1, Inf ]	
		Return S_Out
	End
	
----------------------------------------------------
	
	Function/S HoleLetter( Hole )
		String Hole
		Return Hole[ Strlen( Hole ) - 1 ] 
	End
			
	
