#pragma rtGlobals=1		// Use modern global access method.

**********************************************************************


// Applies the lighting correction curve to the R,G, and B layers of the original image.


Function RGB_Lighting_Correction()
WAVE Lighting_Corr_Coefs,W_Coef
String Section_LIst,Section,Corr_Section
Variable i=0, Z
Silent 1;
PauseUpdate;
SetDataFolder root:
Section_List = WaveList("K_*",";","")
Do
	Section=StringFromList(i,Section_List)
	If(StrLen(Section)<2)
		Break
	EndIf
	Corr_Section="C"+Section[1,strlen(Section)]
	Duplicate/O $Section  M0,$Corr_Section,Mask1,Mask2,Mask3

	WAVE Corr_Sect=$Corr_Section, Sect=$Section
	Z=DimOffset($Section,0)

	Make/O/N=(DimSize($Section,0)) M0_x
	CopyScales/P M0, M0_x
	M0_x=x
	Duplicate/O M0_x  M0_Lightness
	M0_Lightness=interp((M0_x-M0_x[0]),Corr_Curve_x,Corr_Curve)
	Wavestats/Q M0_Lightness
	M0_Lightness-=V_Min
	M0=M0_Lightness[p]
	Mask1=((Sect)-M0<=255)&&((Sect)-M0>=1)
	Mask2=((Sect)-M0<1)*1
	Mask3=((Sect)-M0>255)*255
	Corr_Sect=(Mask1*((Sect)-M0))+(Mask2)+(Mask3)
	//Adjust_Brightness(Corr_Sect,(V_Max-V_Min))
	i+=1;
While(1)

//KillWaves/Z M0,Mask1,Mask2,Mask3,M0_Lightness,M0_x
EndMacro


Function RGB_Lighting_Correction_2()
	WAVE Lighting_Corr_Coefs,W_Coef
	String Section_LIst,Section,Corr_Section
	Variable i=0, Z
	Silent 1;
	PauseUpdate;
	SetDataFolder root:
	Duplicate/O R_fit Fit_x
	Fit_X=x	
	Section_List = WaveList("K_*",";","")
	Do
		Section=StringFromList(i,Section_List)
		If(StrLen(Section)<2)
			Break
		EndIf
		Corr_Section="C"+Section[1,strlen(Section)]
		Duplicate/O $Section  M0,$Corr_Section,Mask1,Mask2,Mask3
	
		WAVE Corr_Sect=$Corr_Section, Sect=$Section
		Z=DimOffset($Section,0)
	
		Make/O/N=(DimSize($Section,0)) M0_x
		CopyScales/P M0, M0_x
		M0_x=x
		Duplicate/O M0_x  M0_Lightness
		
		M0_Lightness=interp((M0_x-M0_x[0]),Fit_x,R_Fit)
		Wavestats/Q M0_Lightness
		M0_Lightness-=V_Min
		M0[][][0]=M0_Lightness[p]
		
		M0_Lightness=interp((M0_x-M0_x[0]),Fit_x,G_Fit)
		Wavestats/Q M0_Lightness
		M0_Lightness-=V_Min
		M0[][][1]=M0_Lightness[p]

		M0_Lightness=interp((M0_x-M0_x[0]),Fit_x,B_Fit)
		Wavestats/Q M0_Lightness
		M0_Lightness-=V_Min
		M0[][][2]=M0_Lightness[p]
		
		Mask1=((Sect)-M0<=255)&&((Sect)-M0>=1)
		Mask2=((Sect)-M0<1)*1
		Mask3=((Sect)-M0>255)*255
		Corr_Sect=(Mask1*((Sect)-M0))+(Mask2)+(Mask3)
		
		i+=1;
	While(1)
	KillWaves/Z M0,Mask1,Mask2,Mask3,M0_Lightness,M0_x
EndMacro

