#pragma rtGlobals=1		// Use modern global access method.

//  This function calls first a function to create R, G, & B cumulative curves form all sections of a core.
//  It then calls a function to remove spikes from the curves and fit curves to each.

Function Lighting_Correction_by_Core_DF(  )
	String S_Hole, S_Core
	Lighting_Curves_Core_DF(  )  //  Forms the Interval and Lightness curves for R, G, & B
	WAVE Interval_B, Lightness_B, Interval_G, Lightness_G, Interval_R, Lightness_R  // WAVE assignments
	PauseUpdate;

	Duplicate/O Interval_B Interval
	Duplicate/O Lightness_B Lightness	
	Auto_Edit_Curves()
	Auto_Edit_Curves()
	Auto_Edit_Curves()
	WAVE fit_Lightness
	Duplicate/O fit_Lightness B_fit

	Duplicate/O Interval_G Interval
	Duplicate/O Lightness_G Lightness
	Auto_Edit_Curves()
	Auto_Edit_Curves()
	Auto_Edit_Curves()
	Duplicate/O fit_Lightness G_fit

	Duplicate/O Interval_R Interval
	Duplicate/O Lightness_R Lightness
	Auto_Edit_Curves()
	Auto_Edit_Curves()
	Auto_Edit_Curves()
	Duplicate/O fit_Lightness R_fit
	
	KillWaves/Z Lightness_R, Interval_R, Lightness_G, Interval_G, Lightness_B, Interval_B
	KillWaves/Z Interval, Lightness, fit_Lightness
Endmacro

***********************************************************
