#pragma rtGlobals=3		// Use modern global access method and strict wave access.
		
	Function Make_DataTable()
		SetDataFolder root:
			String/G G_Site, G_Hole, G_Folder
			String Site = G_Site, Hole = G_Hole, Folders, Folder = G_Folder, WList, Wv
			String CapsList = "Site;Hole;Core;Type;Section;Interval;_CSF;CCSF", Cap
			Variable i = 0, j = 0
			Folders = "root:;" + FolderList( "*" ) 
			Prompt Hole, "Hole or Splice ( e.g. U1338A or U1338_Splice )"
			Prompt Folder, "Data Folder", popup, Folders
			DoPrompt "Make_DataTable", Hole, Folder; AbortOnValue V_Flag, 0
			Make_DataTable_F( Hole, Folder )
			Print "Make_DataTable_F( \"" + Hole +"\", \"" + Folder + "\" )"
	End

-------------------------------------------------------------------------------
	
	Function Make_DataTable_F( Hole, Folder )
		String Hole, Folder
		SetDataFolder root:
			String/G G_Site, G_Hole, G_Folder
			String Folders, Site = G_Site, WList, Wv
			String CapsList = "Site;Hole;Core;Type;Section;Interval;_CSF;CCSF", Cap
			Variable i = 0, j = 0
			Folders = "root:;" + FolderList( "*" ) 
			G_Site = Site; G_Hole = Hole; G_Folder = Folder
			Preferences 1
			PauseUpdate;
			Edit;
		SetDataFolder $Folder
			WList = WaveList( "*", ";", "" )
			Do
				i = 0
				Do
					Wv = StringFromList( i, WList )
					Cap = StringFromList( j, CapsList )
					If( ( StrSearch( Wv, Cap, 0, 2 ) + 1 )  && ( StrSearch( Wv, Hole, 0, 2 ) + 1 ) && !( StrSearch( Wv, "Index", 0, 2 ) + 1 ) )
						AppendToTable $Wv
					EndIf
					i += 1
				While( i < ItemsInList( WList ) )
				J += 1
			While( j < ItemsInList( CapsList ) )
			i = 0
			Do
				Wv = StringFromList( i, WList )
 				If( StrSearch( Wv, Hole, 0, 2 ) + 1 ) 
					AppendToTable $Wv
				EndIf
				i += 1
			While( i < ItemsInList( WList ) )
			ModifyTable alignment = 1	
		SetDataFolder root:
	End
	
