#pragma rtGlobals=3		// Use modern global access method and strict wave access.

//	This Function makes or overwrites waves that hold the data values of "active" tie points so that the tie
//	points may be plotted on data waves and spliced data waves.

	Function Make_Data_Tie_Point_Waves( Hole, Technique, Data )
		String Hole, Data, Technique
		String Site = RemoveEnding( Hole )
		Make/O/N=0 $"root:"+Site+"_Tie_Points:"+Data+"_Core_Ties", $"root:"+Site+"_Tie_Points:"+Data+"_Splice_Ties"
		Wave CTies = $"root:"+Site+"_Tie_Points:Core_Ties", Data_CTies = $"root:"+Site+"_Tie_Points:"+Data+"_Core_Ties"
		Wave SpTies = $"root:"+Site+"_Tie_Points:Splice_Ties", Data_SpTies = $"root:"+Site+"_Tie_Points:"+Data+"_Splice_Ties"
		Wave DWave = $"root:"+Site+"_"+Technique+":"+Hole+"_"+Technique+"_"+Data, SpDWave = $"root:"+Site+"_"+Technique+":"+Site+"_Splice_"+Technique+"_"+Data
		Wave DCCSF = $"root:"+Site+"_"+Technique+":"+Hole+"_"+Technique+"_CCSF", SpDCCSF = $"root:"+Site+"_"+Technique+":"+Site+"_Splice_"+Technique+"_CCSF"
		Duplicate/O CTies Data_CTies
		Duplicate/O SpTies Data_SpTies	
		Data_CTies = Interp( CTies, DCCSF, DWave )	
		Data_SpTies = Interp( SpTies, SpDCCSF, SpDWave )
	End
	
	