If#pragma rtGlobals=1		// Use modern global access method.

// Cursor A goes on the spliced image, Cursor B goes on the core image

Macro Record_Image_Ties()
	String Spliced_Image, Tie_Folder = "root:"+root:G_Site+"_Tie_Points:"
	String Core = root:G_Core_Image[ 3, inf]
	PauseUpdate;
	DoWindow/F Interpolated_Window
	If( WaveDims( $CsrWave( B )  ) < 2 ) )
		ABORT "Cursors are on a Data Wave, not an Image"
	EndIf

	InsertPoints 0,1,$Tie_Folder+"Splice_Ties";$Tie_Folder+"Splice_Ties"[0]=hcsr(a) // New
	InsertPoints 0,1,$Tie_Folder+"Core_Ties";$Tie_Folder+"Core_Ties"[0]=hcsr(b) // New
	Duplicate/O $Tie_Folder+"Splice_Ties" $Tie_Folder+"Ones", $Tie_Folder+"Numbers" // New
	Duplicate/O $Tie_Folder+"Core_Ties"  $Tie_Folder+(root:G_Hole) +"_Core_Ties" // New
	Duplicate/O $Tie_Folder+"Splice_Ties"  $Tie_Folder+(root:G_Hole) +"_Splice_Ties" // New
	$Tie_Folder+"Ones"=.5;
	$Tie_Folder+"Numbers"=x;
	WaveStats/Q $Tie_Folder+"Splice_Ties" // New
	If(root:G_V1 >  V_Min )
		root:G_V1 = V_Min
	EndIf
	If( root:G_V2 < V_Max )
		root:G_V2 = V_Max
	EndIf
EndMacro
