#pragma rtGlobals=3		// Use modern global access method and strict wave access.

#include "FolderList"

Menu "Macros"
"Rescale_Images_0_to_1/4"
"Rescale_K_Images/5"
End

Macro Rescale_Images_0_to_1()
String S1,S2
Variable i=0
Silent 1
PauseUpdate;
S1=WaveList("*",";","")
Print StringFromList(0,S1)
Do
	S2=StringFromList(i,S1)
	If(StrLen(S2)<2)
		break;
	EndIf
	SetScale y 0,1,"", $S2
	ReDimension/B/U $S2
	i+=1;
While(1)
EndMacro

***********************************************

Macro ReScale_K_Images()
Variable i=0,j
String S1,S2
Silent 1;
PauseUpdate;
SetDataFolder root:
S1=FolderList("K_")
Do
	S2=StringFromList(i,S1)
	If(StrLen(S2)<2)
		Break;
	EndIf
	SetDataFolder root:$S2
	Rescale_Images_0_to_1()
	i+=1
While(1)
	SetDataFolder root:
EndMacro