	
	Function Shift_Offsets_B_2_A( )
		SetDataFolder root:
			String S_Site, S_Hole, S_Technique, S_Offsets, S_Core, S_FolderList, S_Folder, S_Data
			Variable V1, V2, i, V_Core, V_Offset, SLen
			Variable/G G_V1, G_Core
			String/G G_S1
			PauseUpdate;
			If(!StrLen( CsrWave( B ) ) || !StrLen( CsrWave( A ) ) )
				Abort "Cursor(s) Not on Graph"
			EndIf		
			If( DimSize( CsrWaveRef( B ), 1 ) )
				S_Hole = ImageHole( CsrWave( B ) )
				V_Core = ImageCore( CsrWave( B ) )
			Else
				S_Hole = DataWaveHole( CsrWave( B ) )
				S_Site = RemoveEnding( S_Hole )
				S_Technique = DataWaveTechnique( CsrWave( B ) )
		SetDataFolder $S_Site + "_" + S_Technique
				Wave CoreWv = $S_Hole + "_" + S_Technique + "_" + "Core"
		SetDataFolder root:
				V_Core = CoreWv[ PCsr( B ) ]
			EndIf
			S_Offsets = S_Hole + "_Offsets"
			WAVE Offsets = $S_Offsets
			Duplicate/O Offsets Offset_Undo
			NOTE/K Offset_Undo, S_Offsets
			V_Offset = HCsr( B ) - HCsr( A )
			Offsets[ V_Core, ] -= V_Offset
			Print S_Hole, V_Core, V_Offset
	End	
	
-------------------------------------------------------------
	
	Function Undo_Shift()
		SetDataFolder root:
			WAVE Offset_Undo
			String/G G_S1
			WAVE Offsets = $Note( Offset_Undo )
			Offsets = Offset_Undo	
	End	
