#pragma rtGlobals=1		// Use modern global access method.

	Menu "CODD_Image"
		SubMenu "Plotting"
			"Append_Selected_Core_Images"
			"Append_Core_Images"
			"Append_Spliced_Image"
			"Calculate_Splice_Lines"
			"Plot_Splice_Lines"
			"Add_CoreTags",/Q
			"Remove_CoreTags",/Q
			"Change_Depth_Range/5",/Q
		End
		SubMenu "Processing"
			"Add_Offsets"
			"CSF_2_CCSF"
			"CCSF_2_CSF"
			"Splice_Images"
			"Calculate_Splice_Lines"
			"Line_Profiles"
			"RGB_Split"
		End
		SubMenu "Depth_To_Age"
			"ImageDepth2Age"
			"AgeDepthFit"
		End
		SubMenu "External_InOut"
			 "Load_Shared_Folder"
			 "Load_Shared_Data"
			 "Share_Single_Wave"
			 "Save_Waves_2_External_Folder"
		End
		"Splice_Tie_Table"
		"Splice_Interval_Table"
		"Save_Cursor_Positions"
		"Cursors_2_Saved_Positions"
		SubMenu "Splice_Format_Conversion"
			"Splice_Tie_Data_2_Intervals"
			"Splice_Interval_Data_2_Ties"
		End
	End

#include "Add_Offsets"
#include "Add_CoreTags"
#include "Adjust_Brightness"
#include "AgeDepthFit"
#include "Append_Core_Images"
#include "Calculate_Splice_Lines"
#Include "Change_Depth_Range"
#include "CheckImages4Splicing"
#include "CSF_2_CCSF_2_CSF"
#Include "Depth_2_Age"
#include "FolderList"
#include "Line_Profiles"
#include "Plot_Splice_Lines"
#include "RGB_Split"
#include "Splice_Images"
#include "Splice_Table_Templates"
#include "Splice_Data_Conversion"
#include "Splice_Interval_Functions"